## ros-kinetic-abb-irb2400-moveit-plugins 1.3.1

=== irb2400_kinematics/CMakeLists.txt ===

include_directories(include)

set(IKFAST_LIBRARY_NAME abb_irb2400_manipulator_moveit_ikfast_plugin)

add_library(${IKFAST_LIBRARY_NAME} src/abb_irb2400_manipulator_ikfast_moveit_plugin.cpp)
target_link_libraries(${IKFAST_LIBRARY_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${LAPACK_LIBRARIES})

install(
  TARGETS ${IKFAST_LIBRARY_NAME} 
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES abb_irb2400_manipulator_moveit_ikfast_plugin_description.xml 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/irb2400_kinematics)

=== debian/changelog ===
ros-kinetic-abb-irb2400-moveit-plugins (1.3.1-1xenial) xenial; urgency=high

  * Update URDF shared pointers for melodic (#159 <https://github.com/ros-industrial/abb/issues/159>)
  * Update maintainers (#139 <https://github.com/ros-industrial/abb/issues/139>)
  * Contributors: Jonathan Binney, gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.3.0-1xenial) xenial; urgency=high

  * kinetic-devel release of ros-industrial/abb
  * Contributors: AustinDeric

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Fri, 26 May 2017 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.2.1-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.2.0-1xenial) xenial; urgency=high

  * Regenerated the ikfast moveit plugin for the irb2400 using an
    older version of moveit-ikfast plugin. Fixes issue where the
    ik solutions and the URDF were off by 90 degrees.
  * Contributors: Jonathan Meyer

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Fri, 05 Jun 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.9-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 06 Apr 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.8-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sun, 05 Apr 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.7-1xenial) xenial; urgency=high

  * Merged hydro branch
    - Updated CHANGELOG.rst and package.xml files
  * Fix incorrect maintainer email in manifests. Fix #65 <https://github.com/Levi-Armstrong/abb/issues/65>.
  * Contributors: Levi Armstrong, Martin Günther, Scott K Logan, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Tue, 31 Mar 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.6-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.5-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.4-1xenial) xenial; urgency=high

  * Merged release artifacts from hydro branch
  * fix installation destination of plugin description
    The plugin description used to be installed here:
    /opt/ros/hydro/share/abb_irb2400_moveit_plugins/irb6640_kinematics/abb_irb2400_manipulator_moveit_ikfast_plugin_description.xml
    But it's supposed to be here:
    /opt/ros/hydro/share/abb_irb2400_moveit_plugins/irb2400_kinematics/abb_irb2400_manipulator_moveit_ikfast_plugin_description.xml
    Also see: https://groups.google.com/d/msg/moveit-users/LQFJwqd0N5I/eThqWkXXRMgJ
  * irb2400: add depend on liblapack-dev to Moveit plugin.
  * Contributors: Martin Günther, Scott K Logan, Shaun Edwards

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sat, 13 Dec 2014 23:00:00 -0000

ros-kinetic-abb-irb2400-moveit-plugins (1.1.3-1xenial) xenial; urgency=high

  * Bump versions.
  * irb2400: add regenerated IKFast Moveit plugin.
  * Contributors: gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Thu, 04 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-abb-irb2400-moveit-plugins
Section: misc
Priority: extra
Maintainer: Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-kinetic-catkin, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf-conversions
Homepage: http://ros.org/wiki/abb_irb2400_moveit_plugins
Standards-Version: 3.9.2

Package: ros-kinetic-abb-irb2400-moveit-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-kinetic-moveit-core, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf-conversions
Description: MoveIt plugins for the ABB 2400 (and variants).
 This package contains plugins for use with MoveIt and ABB 2400 manipulators. Plugins included support the 2400. See the ABB 2400 support package for information on used joint angle and velocity limits. Before using any of the plugins included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-abb-irb2400-moveit-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
